#!/bin/bash

#This script does some work then goes to sleep for 5 minutes in a repeating loop.
#To make it run on power up the following line was added to /etc/rc.local, /home/pi/Desktop/tests/main/install/scripts/periodic_wake_up/periodic_wake_up.sh
#Note: /etc/rc.local should be executable in order to run on startup, sudo chmod 777 /etc/rc.local
#
#To stop the loop one option is to comment out the call to periodic_wake_up.sh inside /etc/rc.local, another option
#is to get the process number(ps -fax) and kill it(sudo kill <process_number>)


#Enable battery charger
solar_pi.sh -charger_on

#do some work
echo "Task 1"
echo "Task 2"


#Wait a few minutes to allow script to be stopped before the power is cut
echo "waiting for 5 minutes"
sleep 300

#If battery voltage is below 11.0V, sleep until the battery gets charged up to 11.5V,
#otherwise go to sleep for for 5 minutes or 300 seconds.

bat=`solar_pi.sh -battery_v`
if (( $(bc <<< "$bat < 11.0") ))
then
	echo "Battery Critically low, going to sleep until it charges up to 11.5V"
	solar_pi.sh -set_wake_up_sources 0 11.5 0
else
	echo "Battery ok, going to sleep for 5 minutes"
	solar_pi.sh -set_wake_up_sources 0 0 300
fi

#Turn off power in 30 seconds
solar_pi.sh -sleep 30

#Safety turn of Raspberry Pi before the power turns off
sudo poweroff

